| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

Classes | Macros | Typedefs | Functions
Phonebook Management Service

## Classes
struct | phonebookEntry
struct | emergencyNumberEntry
struct | arrPBInfo

## Macros
#define | MAX_PB_NO_LEN 81
#define | MAX_NO_OF_PB 10
#define | MAX_PB_DESCRIPTION_LENGTH 255

## Typedefs
typedef void(GOBICALLBACK * | tFNPbRecordRead) (BYTE sessionType, WORD pbType, arrPBInfo *phoneBookEntry)
typedef void(GOBICALLBACK * | tFNAllPbInitDone) (BYTE noOfInstance, BYTE *arrSessionType, WORD *arrPbBitMask)
typedef void(GOBICALLBACK * | tFNEmergencyList) (BYTE noOfInstance, emergencyNumberEntry *arrEmergencyNumberEntry)

## Functions
IMPORTGOBI ULONG GOBICMAPI | GetPhonebookCapabilities (BYTE *pSessionType, WORD *pPbType, WORD *pUsedRecords, WORD *pMaxRecords, BYTE *pMaxNumLen, BYTE *pMaxNameLen)
IMPORTGOBI ULONG GOBICMAPI | ReadPhonebookRecords (BYTE *pSessionType, WORD *pPbType, WORD *pStartId, WORD *pEndId, WORD *pNumOfRecords)
IMPORTGOBI ULONG GOBICMAPI | WritePhonebookRecord (BYTE *pSessionType, WORD *pPbType, WORD *pRecordId, BYTE *pNumType, BYTE *pNumPlan, BYTE *pNumLen, BYTE *pArrNum, BYTE *pNameLen, BYTE *pArrName)
IMPORTGOBI ULONG GOBICMAPI | DeletePhonebookRecord (BYTE *pSessionType, WORD *pPbType, WORD *pRecordId)
IMPORTGOBI ULONG GOBICMAPI | SetEmergencyListCallback (tFNEmergencyList pCallback)
IMPORTGOBI ULONG GOBICMAPI | SetAllPhonebookInitDoneCallback (tFNAllPbInitDone pCallback)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI DeletePhonebookRecord | ( | BYTE * | pSessionType,
|  | WORD * | pPbType,
|  | WORD * | pRecordId
| ) |  |

This function adds a new record or modifies an existing record. Service ID 0x0C, Message ID 0x0005.

Parameters

  pSessionType | [I] Session Type of the requested Phonebook Valid values: 0 – GSM/WCDMA (GW) primary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively. 1 – 1X primary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network. 2 – GW secondary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively (Dual Standby). 3 – 1X secondary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network (Dual Standby). 4 – Nonprovisioning on slot 1 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 1. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 5 – Nonprovisioning on slot 2 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 2. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 6 – Global phonebook on slot 1 Used to access phonebooks that are not in any application of the card in slot 1. 7 – Global phonebook on slot 2 Used to access phonebooks that are not in any application of the card in slot 2.
  pPbType | [I] Phonebook Type of the requested Phonebook Valid values: 0x0001 – ADN (Abbreviated Dialing Number) 0x0002 – FDN (Fixed Dialing Number) 0x0004 – MSISDN (Mobile Subscriber Integrated Services Digital Network) 0x0008 – MBDN (Mail Box Dialing Number) 0x0010 – SDN (Service Dialing Number) 0x0020 – BDN (Barred Dialing Number) 0x0040 – LND (Last Number Dialed) 0x0080 – MBN (Mail Box Number)
  pRecordId | [I] Record identifier.

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetPhonebookCapabilities | ( | BYTE * | pSessionType,
|  | WORD * | pPbType,
|  | WORD * | pUsedRecords,
|  | WORD * | pMaxRecords,
|  | BYTE * | pMaxNumLen,
|  | BYTE * | pMaxNameLen
| ) |  |

This function retrieves the capabilities of the Phonebook requested. Service ID 0x0C, Message ID 0x0002.

Parameters

  pSessionType | [I] Session Type of the requested Phonebook Valid values: 0 – GSM/WCDMA (GW) primary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively. 1 – 1X primary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network. 2 – GW secondary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively (Dual Standby). 3 – 1X secondary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network (Dual Standby). 4 – Nonprovisioning on slot 1 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 1. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 5 – Nonprovisioning on slot 2 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 2. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 6 – Global phonebook on slot 1 Used to access phonebooks that are not in any application of the card in slot 1. 7 – Global phonebook on slot 2 Used to access phonebooks that are not in any application of the card in slot 2.
  pPbType | [I] Phonebook Type of the requested Phonebook Valid values: 0x0001 – ADN (Abbreviated Dialing Number) 0x0002 – FDN (Fixed Dialing Number) 0x0004 – MSISDN (Mobile Subscriber Integrated Services Digital Network) 0x0008 – MBDN (Mail Box Dialing Number) 0x0010 – SDN (Service Dialing Number) 0x0020 – BDN (Barred Dialing Number) 0x0040 – LND (Last Number Dialed) 0x0080 – MBN (Mail Box Number)
  pUsedRecords | [O] Records used.
  pMaxRecords | [O] Maximum possible records for this phonebook.
  pMaxNumLen | [O] Maximum number length.
  pMaxNameLen | [O] Maximum name length.

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI ReadPhonebookRecords | ( | BYTE * | pSessionType,
|  | WORD * | pPbType,
|  | WORD * | pStartId,
|  | WORD * | pEndId,
|  | WORD * | pNumOfRecords
| ) |  |

This function initiates the Record Read operation by specifying the range of the records to be read. Service ID 0x0C, Message ID 0x0004.

Parameters

  pSessionType | [I] Session Type of the requested Phonebook Valid values: 0 – GSM/WCDMA (GW) primary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively. 1 – 1X primary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network. 2 – GW secondary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively (Dual Standby). 3 – 1X secondary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network (Dual Standby). 4 – Nonprovisioning on slot 1 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 1. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 5 – Nonprovisioning on slot 2 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 2. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 6 – Global phonebook on slot 1 Used to access phonebooks that are not in any application of the card in slot 1. 7 – Global phonebook on slot 2 Used to access phonebooks that are not in any application of the card in slot 2.
  pPbType | [I] Phonebook Type of the requested Phonebook Valid values: 0x0001 – ADN (Abbreviated Dialing Number) 0x0002 – FDN (Fixed Dialing Number) 0x0004 – MSISDN (Mobile Subscriber Integrated Services Digital Network) 0x0008 – MBDN (Mail Box Dialing Number) 0x0010 – SDN (Service Dialing Number) 0x0020 – BDN (Barred Dialing Number) 0x0040 – LND (Last Number Dialed) 0x0080 – MBN (Mail Box Number)
  pStartId | [I] Start identifier of the record to be read.
  pEndId | [I] End identifier of the record to be read.
  pNumOfRecords | [O] Indicates the total number of records returned in the subsequent QMI_PBM_RECORD_READ_IND(s).

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetAllPhonebookInitDoneCallback | ( | tFNAllPbInitDone | pCallback | ) |

This function enables/disables the All Phonebook Init Done callback function. Service ID 0x0C, Message ID 0x000D. The callback will be invoked when all Phonebooks in the specified sessions (in the callback) are ready to be accessed.

Parameters

  pCallback | [I] Callback function pointer.

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetEmergencyListCallback | ( | tFNEmergencyList | pCallback | ) |

This function enables/disables the Emergency number list callback function. Service ID 0x0C, Message ID 0x000C.

Parameters

  pCallback | [I] Callback function pointer.

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI WritePhonebookRecord | ( | BYTE * | pSessionType,
|  | WORD * | pPbType,
|  | WORD * | pRecordId,
|  | BYTE * | pNumType,
|  | BYTE * | pNumPlan,
|  | BYTE * | pNumLen,
|  | BYTE * | pArrNum,
|  | BYTE * | pNameLen,
|  | BYTE * | pArrName
| ) |  |

This function adds a new record or modifies an existing record. Service ID 0x0C, Message ID 0x0005.

Parameters

  pSessionType | [I] Session Type of the requested Phonebook Valid values: 0 – GSM/WCDMA (GW) primary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively. 1 – 1X primary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network. 2 – GW secondary Used to access the phonebooks under GSM DF (for ICC) or USIM application (for UICC), which are used to acquire a GSM or WCDMA network, respectively (Dual Standby). 3 – 1X secondary Used to access the phonebooks under CDMA DF (for ICC) or CSIM application (for UICC), which are used to acquire a 1x/DO network (Dual Standby). 4 – Nonprovisioning on slot 1 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 1. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 5 – Nonprovisioning on slot 2 (not supported) Used to access phonebooks under a nonprovisioning application available on the UICC card in slot 2. The nonprovisioning application can be an ISIM or a USIM that is currently not being used to acquire the network. 6 – Global phonebook on slot 1 Used to access phonebooks that are not in any application of the card in slot 1. 7 – Global phonebook on slot 2 Used to access phonebooks that are not in any application of the card in slot 2.
  pPbType | [I] Phonebook Type of the requested Phonebook Valid values: 0x0001 – ADN (Abbreviated Dialing Number) 0x0002 – FDN (Fixed Dialing Number) 0x0004 – MSISDN (Mobile Subscriber Integrated Services Digital Network) 0x0008 – MBDN (Mail Box Dialing Number) 0x0010 – SDN (Service Dialing Number) 0x0020 – BDN (Barred Dialing Number) 0x0040 – LND (Last Number Dialed) 0x0080 – MBN (Mail Box Number)
  pRecordId | [I] Record identifier.
  pNumType | [I] Type of number as per 3GPP TS 24.008 V7.13.0 (2008-09) 0x00 – NUM_TYPE_UNKNOWN 0x01 – NUM_TYPE_INTERNATIONAL 0x02 – NUM_TYPE_NATIONAL 0x03 – NUM_TYPE_NETWORK_SPECIFIC 0x04 – NUM_TYPE_DEDICATED_ACCESS
  pNumPlan | [I] Number plan 0x00 – NUM_PLAN_UNKNOWN 0x01 – NUM_PLAN_ISDN 0x02 – NUM_PLAN_DATA 0x03 – NUM_PLAN_TELEX 0x04 – NUM_PLAN_NATIONAL 0x05 – NUM_PLAN_PRIVATE
  pNumLen | [I] Length of the number
  pArrNum | [I] Number in ASCII
  pNameLen | [I] Length of name (counted in bytes)
  pArrName | [I] Name in UCS2.

Returns
  See GobiErrorCodes.h